import 'package:lori_sdk/data/database/authResponseDaoStub.dart'
// ignore: uri_does_not_exist // this will work on mobile but will not work on web
    if (dart.library.io) 'package:lori_sdk/data/database/mobile/mobileAuthResponseDao.dart'
// ignore: uri_does_not_exist // this will work on web but will not work on mobile
    if (dart.library.html) 'package:lori_sdk/data/database/web/webAuthResponseDao.dart';
import 'package:lori_sdk/data/models/authResponse.dart';

abstract class AuthResponseDao {
  Future open() async {}

  Future<void> insertOrUpdate(AuthResponse response) async {}

  Future<void> insert(AuthResponse response) async {}

  Future<void> update(AuthResponse response) async {}

  // ignore: missing_return
  Future<AuthResponse> get(int responseType) async {}

  // ignore: missing_return
  Future<int> delete(int responseType) async {}

  Future<void> deleteAll() async {}

  Future close() async {}

  factory AuthResponseDao() => getAuthResponseDao();
}
