import 'package:json_annotation/json_annotation.dart';

part 'bonus.g.dart';

@JsonSerializable()
class Bonus {
  Bonus();

  @JsonKey(defaultValue: false)
  bool hasBonus;
  @JsonKey(defaultValue: 0)
  double bonusAmount;

  factory Bonus.fromJson(Map<String, dynamic> json) => _$BonusFromJson(json);

  Map<String, dynamic> toJson() => _$BonusToJson(this);
}
