import 'package:json_annotation/json_annotation.dart';

part 'key_value.g.dart';

@JsonSerializable()
class KeyValue {
  KeyValue();

  String productId;
  String key;
  String value;
  String hexColor;
  int type;
  bool displayOnCatalog;
  @JsonKey(defaultValue: 0)
  int order;
  bool isDeleted;
  String id;
  String clientId;
  bool isActive;
  String createDate;
  String lastUpdate;

  factory KeyValue.fromJson(Map<String, dynamic> json) => _$KeyValueFromJson(json);

  Map<String, dynamic> toJson() => _$KeyValueToJson(this);
}