import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/product/product.dart';

part 'productPaginationResult.g.dart';

@JsonSerializable()
class ProductPaginationResult {
  ProductPaginationResult();

  String continuationToken;
  int page;
  int maxPage;
  int maxCount;
  List<Product> products;

  factory ProductPaginationResult.fromJson(Map<String, dynamic> json) =>
      _$ProductPaginationResultFromJson(json);

  Map<String, dynamic> toJson() => _$ProductPaginationResultToJson(this);
}
