import 'package:json_annotation/json_annotation.dart';

part 'freight.g.dart';

@JsonSerializable()
class Freight {
  Freight();

  String id;
  int deliveryTime;
  String reference;
  String description;
  double amount;

  factory Freight.fromJson(Map<String, dynamic> json) =>
      _$FreightFromJson(json);

  Map<String, dynamic> toJson() => _$FreightToJson(this);
}
