
import 'dart:convert';

import 'package:json_annotation/json_annotation.dart';

part 'featuredCharacteristic.g.dart';


@JsonSerializable()
class FeaturedCharacteristic {
  FeaturedCharacteristic({
    this.productId,
    this.key,
    this.value,
    this.hexColor,
    this.type,
    this.displayOnCatalog,
    this.order,
    this.isDeleted,
    this.id,
    this.clientId,
    this.isActive,
    this.createDate,
    this.lastUpdate,
  });

  String productId;
  String key;
  String value;
  String hexColor;
  int type;
  bool displayOnCatalog;
  int order;
  bool isDeleted;
  String id;
  dynamic clientId;
  bool isActive;
  DateTime createDate;
  DateTime lastUpdate;

  factory FeaturedCharacteristic.fromJson(Map<String, dynamic> json) =>
      _$FeaturedCharacteristicFromJson(json);

  Map<String, dynamic> toJson() => _$FeaturedCharacteristicToJson(this);


}
