import 'package:json_annotation/json_annotation.dart';

part 'dealer.g.dart';

@JsonSerializable()
class Dealer {
  Dealer();

  String id;
  String dealerCode;
  String fullName;

  @JsonKey(name: 'salesmanCpf')
  String cpf;

  String storeCnpj;

  String role;
  String sellerId;
  String companyName;

  String currentCluster;

  factory Dealer.fromJson(Map<String, dynamic> json) =>
      _$DealerFromJson(json);

  Map<String, dynamic> toJson() => _$DealerToJson(this);
}
